package com.quyunshuo.androidbaseframemvvm.common.util;

public class AppTypeManger {

    private static volatile AppTypeManger singleton;
    private boolean type = false;

    private AppTypeManger() {
    }

    public static AppTypeManger getInstance() {
        if (singleton == null) {
            synchronized (AppTypeManger.class) {
                if (singleton == null) {
                    singleton = new AppTypeManger();
                }
            }
        }
        return singleton;
    }

    public void init(boolean appType) {
        this.type = appType;

    }

    public boolean getAppChina() {
        return type;
    }
}